Module | Sequel::SQL::OrderMethods
In: | lib/sequel/sql.rb

Methods that create `OrderedExpressions`, used for sorting by columns or more complex expressions.

### Methods

asc desc

### Public Instance methods

asc(opts={})

Mark the receiving SQL column as sorting in an ascending fashion (generally a no-op). Options:

:nulls : | Set to :first to use NULLS FIRST (so NULL values are ordered before other values), or :last to use NULLS LAST (so NULL values are ordered after other values).

[Source]

         # File lib/sequel/sql.rb, line 764
    764:       def asc(opts={})
    765:         OrderedExpression.new(self, false, opts)
    766:       end

desc(opts={})

Mark the receiving SQL column as sorting in a descending fashion. Options:

:nulls : | Set to :first to use NULLS FIRST (so NULL values are ordered before other values), or :last to use NULLS LAST (so NULL values are ordered after other values).

[Source]

         # File lib/sequel/sql.rb, line 774
    774:       def desc(opts={})
    775:         OrderedExpression.new(self, true, opts)
    776:       end

[Validate]